﻿<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net6.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <UserSecretsId>4835cf49-42eb-47b7-839d-21de4c553655</UserSecretsId>
    <DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="MediatR" Version="11.1.0" />
    <PackageReference Include="MediatR.Extensions.Microsoft.DependencyInjection" Version="11.0.0" />
    <PackageReference Include="Microsoft.Extensions.Hosting" Version="7.0.0" />
    <PackageReference Include="Microsoft.VisualStudio.Azure.Containers.Tools.Targets" Version="1.17.0" />
    <PackageReference Include="Quartz" Version="3.5.0" />
    <PackageReference Include="Quartz.Extensions.DependencyInjection" Version="3.5.0" />
    <PackageReference Include="Quartz.Extensions.Hosting" Version="3.5.0" />
    <PackageReference Include="Swashbuckle.AspNetCore" Version="6.2.3" />
    <PackageReference Include="Google.Protobuf" Version="3.18.0" />
    <PackageReference Include="Grpc.Net.Client" Version="2.49.0" />
    <PackageReference Include="Grpc.Net.ClientFactory" Version="2.49.0" />
    <PackageReference Include="Grpc.Tools" Version="2.40.0">
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
      <PrivateAssets>all</PrivateAssets>
    </PackageReference>
  </ItemGroup>

  <ItemGroup>
    <Protobuf Include="Protos\message.proto" GrpcServices="Client" />
    <Protobuf Include="Protos\healthcheck.proto" GrpcServices="Client" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\ReplicatedLog.BuildingBlocks.Storage\ReplicatedLog.BuildingBlocks.Storage.csproj" />
    <ProjectReference Include="..\ReplicatedLog.BuildingBlocks.Storage.InMemory\ReplicatedLog.BuildingBlocks.Storage.InMemory.csproj" />
    <ProjectReference Include="..\ReplicatedLog.Domain\ReplicatedLog.Domain.csproj" />
  </ItemGroup>

</Project>
